libapreq2-2.08: libapreq2: apreq_module_t Struct Reference

Apache HTTP Server Request Library

- Main Page
- Modules
- Data Structures
- Files
- Related Pages
- Examples

- Data Structures
- Class Hierarchy
- Data Fields

# apreq_module_t Struct Reference

Vtable describing the necessary environment functions. More...

`#include <apreq_module.h>`

## Data Fields
const char * | name
apr_uint32_t | magic_number
apr_status_t(* | jar )(apreq_handle_t *, const apr_table_t **)
apr_status_t(* | args )(apreq_handle_t *, const apr_table_t **)
apr_status_t(* | body )(apreq_handle_t *, const apr_table_t **)
apreq_cookie_t *(* | jar_get )(apreq_handle_t *, const char *)
apreq_param_t *(* | args_get )(apreq_handle_t *, const char *)
apreq_param_t *(* | body_get )(apreq_handle_t *, const char *)
apr_status_t(* | parser_get )(apreq_handle_t *, const apreq_parser_t **)
apr_status_t(* | parser_set )(apreq_handle_t *, apreq_parser_t *)
apr_status_t(* | hook_add )(apreq_handle_t *, apreq_hook_t *)
apr_status_t(* | brigade_limit_get )(apreq_handle_t *, apr_size_t *)
apr_status_t(* | brigade_limit_set )(apreq_handle_t *, apr_size_t)
apr_status_t(* | read_limit_get )(apreq_handle_t *, apr_uint64_t *)
apr_status_t(* | read_limit_set )(apreq_handle_t *, apr_uint64_t)
apr_status_t(* | temp_dir_get )(apreq_handle_t *, const char **)
apr_status_t(* | temp_dir_set )(apreq_handle_t *, const char *)

## Detailed Description

Vtable describing the necessary environment functions.

## Field Documentation

apr_status_t(* apreq_module_t::args)(apreq_handle_t *, const apr_table_t **)

| get a table with all query string parameters

apreq_param_t*(* apreq_module_t::args_get)(apreq_handle_t *, const char *)

| get a query string parameter by its name

apr_status_t(* apreq_module_t::body)(apreq_handle_t *, const apr_table_t **)

| get a table with all body parameters

apreq_param_t*(* apreq_module_t::body_get)(apreq_handle_t *, const char *)

| get a body parameter by its name

apr_status_t(* apreq_module_t::brigade_limit_get)(apreq_handle_t *, apr_size_t *)

| determine the maximum in-memory bytes a brigade may use

apr_status_t(* apreq_module_t::brigade_limit_set)(apreq_handle_t *, apr_size_t)

| set the maximum in-memory bytes a brigade may use

apr_status_t(* apreq_module_t::hook_add)(apreq_handle_t *, apreq_hook_t *)

| add a hook function

apr_status_t(* apreq_module_t::jar)(apreq_handle_t *, const apr_table_t **)

| get a table with all cookies

apreq_cookie_t*(* apreq_module_t::jar_get)(apreq_handle_t *, const char *)

| get a cookie by its name

apr_uint32_t apreq_module_t::magic_number

| magic number identifying the module and version

const char* apreq_module_t::name

| name of this apreq module

apr_status_t(* apreq_module_t::parser_get)(apreq_handle_t *, const apreq_parser_t **)

| gets the parser associated with the request body

apr_status_t(* apreq_module_t::parser_set)(apreq_handle_t *, apreq_parser_t *)

| manually set a parser for the request body

apr_status_t(* apreq_module_t::read_limit_get)(apreq_handle_t *, apr_uint64_t *)

| determine the maximum amount of data that will be fed into a parser

apr_status_t(* apreq_module_t::read_limit_set)(apreq_handle_t *, apr_uint64_t)

| set the maximum amount of data that will be fed into a parser

apr_status_t(* apreq_module_t::temp_dir_get)(apreq_handle_t *, const char **)

| determine the directory used by the parser for temporary files

apr_status_t(* apreq_module_t::temp_dir_set)(apreq_handle_t *, const char *)

| set the directory used by the parser for temporary files

The documentation for this struct was generated from the following file:

- include/apreq_module.h